# opentl::core::util::OfflineParameter< T > Class Template Reference

Inherits opentl::core::util::AbstractParameter.

List of all members.

## Public Member Functions
T | get () const
T | getDefault () const
void | getRange (T &min, T &max) const
bool | hasRange () const
| OfflineParameter (const T &defaultVal, const T &minVal, const T &maxVal)
| OfflineParameter (const T &defaultVal)
| OfflineParameter ()
void | operator() (const T &value)
T | operator() ()
void | reset ()
void | set (const T &val)
virtual | ~OfflineParameter ()

## Detailed Description

### template<typename T>
class opentl::core::util::OfflineParameter< T >

offline values implement thread-safe access methods

## Constructor & Destructor Documentation

template<typename T >

opentl::core::util::OfflineParameter< T >::OfflineParameter | ( |  | ) | `[inline]`

template<typename T >

opentl::core::util::OfflineParameter< T >::OfflineParameter | ( | const T & | defaultVal | ) | `[inline]`

template<typename T >

opentl::core::util::OfflineParameter< T >::OfflineParameter | ( | const T & | defaultVal,
|  | const T & | minVal,
|  | const T & | maxVal |
| ) |  |  | `[inline]`

template<typename T >

virtual opentl::core::util::OfflineParameter< T >::~OfflineParameter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<typename T >

T opentl::core::util::OfflineParameter< T >::get | ( |  | ) | const`[inline]`

template<typename T >

T opentl::core::util::OfflineParameter< T >::getDefault | ( |  | ) | const`[inline]`

template<typename T >

void opentl::core::util::OfflineParameter< T >::getRange | ( | T & | min,
|  | T & | max |
| ) |  |  | const`[inline]`

template<typename T >

bool opentl::core::util::OfflineParameter< T >::hasRange | ( |  | ) | const`[inline]`

template<typename T >

void opentl::core::util::OfflineParameter< T >::operator() | ( | const T & | value | ) | `[inline]`

template<typename T >

T opentl::core::util::OfflineParameter< T >::operator() | ( |  | ) | `[inline]`

template<typename T >

void opentl::core::util::OfflineParameter< T >::reset | ( |  | ) | `[inline]`

template<typename T >

void opentl::core::util::OfflineParameter< T >::set | ( | const T & | val | ) | `[inline]`